Apps Home FAQs User Guide Support Forum

Fisheye Camera: Wide Effect Lens - User Guide

Frequently Asked Questions

For specific usage questions read the Instruction Manual

System Requirements

  • The Fisheye Camera : Wide Effect Lens app has a minimum system requirement of Apple iOS 8.0+. It works on all iPhones, iPod Touches and iPads.

I need more help